summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-03-10 20:32:52 +0000
committer Eric Hameleers <alien@slackware.com>2021-03-11 08:59:53 +0100
commite2d188d741d8d635b1822a3a50defa64b00657da (patch)
treed16bf42b81b3964a9070e73b549caae4c8323cdf /source/l
parent2d203525984b46a39691e1035d350b9b1625ca1e (diff)
downloadcurrent-e2d188d741d8d635b1822a3a50defa64b00657da.tar.gz
current-e2d188d741d8d635b1822a3a50defa64b00657da.tar.xz
Wed Mar 10 20:32:52 UTC 202120210310203252
ap/vim-8.2.2585-x86_64-1.txz: Upgraded. d/git-2.30.2-x86_64-1.txz: Upgraded. l/python-dnspython-2.1.0-x86_64-1.txz: Added. This is needed by samba-4.14.0. l/python-markdown-3.3.4-x86_64-1.txz: Added. This is needed by samba-4.14.0. n/samba-4.14.0-x86_64-1.txz: Upgraded. xap/vim-gvim-8.2.2585-x86_64-1.txz: Upgraded. xfce/elementary-xfce-0.15.2-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l')
-rw-r--r--source/l/python-dnspython/dnspython.url1
-rwxr-xr-xsource/l/python-dnspython/python-dnspython.SlackBuild92
-rw-r--r--source/l/python-dnspython/slack-desc19
-rw-r--r--source/l/python-markdown/Markdown.url1
-rwxr-xr-xsource/l/python-markdown/python-markdown.SlackBuild82
-rw-r--r--source/l/python-markdown/slack-desc19
6 files changed, 214 insertions, 0 deletions
diff --git a/source/l/python-dnspython/dnspython.url b/source/l/python-dnspython/dnspython.url
new file mode 100644
index 000000000..23dcd552c
--- /dev/null
+++ b/source/l/python-dnspython/dnspython.url
@@ -0,0 +1 @@
+https://pypi.org/project/dnspython
diff --git a/source/l/python-dnspython/python-dnspython.SlackBuild b/source/l/python-dnspython/python-dnspython.SlackBuild
new file mode 100755
index 000000000..7bdfdfbfa
--- /dev/null
+++ b/source/l/python-dnspython/python-dnspython.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/bash
+
+# Copyright 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+# First, convert the .zip file if needed:
+if ls *.zip 1> /dev/null 2> /dev/null ; then
+ unzip *.zip
+ tar cf $(basename *.zip .zip).tar $(basename *.zip .zip)
+ touch -r *.zip *.tar
+ plzip -9 *.tar
+ rm -r $(basename *.zip .zip)
+ rm *.zip
+fi
+
+PKGNAM=python-dnspython
+SRCNAM=dnspython
+VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+python3 setup.py install --root=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *.rst LICENSE* NOTICE PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+# If there's a HISTORY.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r HISTORY.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat HISTORY.rst | head -n 1000 > $DOCSDIR/HISTORY.rst
+ touch -r HISTORY.rst $DOCSDIR/HISTORY.rst
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/python-dnspython/slack-desc b/source/l/python-dnspython/slack-desc
new file mode 100644
index 000000000..2ba8a26b4
--- /dev/null
+++ b/source/l/python-dnspython/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-dnspython: python-dnspython (DNS toolkit for Python)
+python-dnspython:
+python-dnspython: dnspython is a DNS toolkit for Python. It supports almost all record
+python-dnspython: types. It can be used for queries, zone transfers, and dynamic
+python-dnspython: updates. It supports TSIG authenticated messages and EDNS0. dnspython
+python-dnspython: provides both high and low level access to DNS. The high level classes
+python-dnspython: perform queries for data of a given name, type, and class, and return
+python-dnspython: an answer set. The low level classes allow direct manipulation of DNS
+python-dnspython: zones, messages, names, and records.
+python-dnspython:
+python-dnspython: Homepage: https://www.dnspython.org/
diff --git a/source/l/python-markdown/Markdown.url b/source/l/python-markdown/Markdown.url
new file mode 100644
index 000000000..5d8376674
--- /dev/null
+++ b/source/l/python-markdown/Markdown.url
@@ -0,0 +1 @@
+https://pypi.org/project/Markdown
diff --git a/source/l/python-markdown/python-markdown.SlackBuild b/source/l/python-markdown/python-markdown.SlackBuild
new file mode 100755
index 000000000..ca75022f7
--- /dev/null
+++ b/source/l/python-markdown/python-markdown.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+# Copyright 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-markdown
+SRCNAM=Markdown
+VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+python3 setup.py install --root=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *.rst LICENSE* NOTICE PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+# If there's a HISTORY.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r HISTORY.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat HISTORY.rst | head -n 1000 > $DOCSDIR/HISTORY.rst
+ touch -r HISTORY.rst $DOCSDIR/HISTORY.rst
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/python-markdown/slack-desc b/source/l/python-markdown/slack-desc
new file mode 100644
index 000000000..90019035e
--- /dev/null
+++ b/source/l/python-markdown/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-markdown: python-markdown (Python Markdown implementation)
+python-markdown:
+python-markdown: This is a Python implementation of John Gruber's Markdown. It is
+python-markdown: almost completely compliant with the reference implementation, though
+python-markdown: there are a few known issues. See Features for information on what
+python-markdown: exactly is supported and what is not. Additional features are
+python-markdown: supported by the Available Extensions.
+python-markdown:
+python-markdown: Homepage: https://Python-Markdown.github.io/
+python-markdown:
+python-markdown: